Bug 221179 - math/maxima: Update to 5.40.0
Summary: math/maxima: Update to 5.40.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-02 15:32 UTC by satosi.kimura
Modified: 2017-08-17 18:47 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
tar ball of modified maxima port (15.34 KB, application/gzip)
2017-08-02 15:32 UTC, satosi.kimura
no flags Details
log of poudriere (154.00 KB, application/gzip)
2017-08-02 15:33 UTC, satosi.kimura
no flags Details
patch for maxima 5.40.0 (11.19 KB, patch)
2017-08-06 09:02 UTC, satosi.kimura
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description satosi.kimura 2017-08-02 15:32:05 UTC
Created attachment 184959 [details]
tar ball of modified maxima port

I can install latest maxima (5.40.0) to FreeBSD/amd64 10.3

1. replace to modified port
# cd /usr/ports/math
# mv maxima maxima.orig
# tar xzvf maxima5400.tgz
# mv maxima5400 maxima

2. check by portlint
# portlint
WARN: Makefile: wrong dependency value for BUILD_DEPENDS. BUILD_DEPENDS requires 2 or 3 colon-separated tuples.
WARN: Makefile: wrong dependency value for RUN_DEPENDS. RUN_DEPENDS requires 2 or 3 colon-separated tuples.
0 fatal errors and 2 warnings found.

3. check by poudriere
 Decompress and see maxima-5.40.0.log.gz shown as attachment.
Comment 1 satosi.kimura 2017-08-02 15:33:21 UTC
Created attachment 184960 [details]
log of poudriere
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-06 03:54:30 UTC
@Satosi Could you please provide proposed changes as a patch (unified diff, ideally using svn diff)
Comment 3 satosi.kimura 2017-08-06 09:02:49 UTC
Created attachment 185083 [details]
patch for maxima 5.40.0

(In reply to Kubilay Kocak from comment #2)

I send the patch file as your requaest. 
And I will do so for the next opportunity.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-06 09:27:32 UTC
Comment on attachment 185083 [details]
patch for maxima 5.40.0

Port has no maintainer, implicit approval (pending committer QA/review)
Comment 5 commit-hook freebsd_committer 2017-08-17 18:47:08 UTC
A commit references this bug:

Author: swills
Date: Thu Aug 17 18:46:19 UTC 2017
New revision: 448172
URL: https://svnweb.freebsd.org/changeset/ports/448172

Log:
  math/maxima: Update to 5.40.0

  PR:		221179
  Submitted by:	satosi.kimura@nifty.ne.jp

Changes:
  head/math/maxima/Makefile
  head/math/maxima/distinfo
  head/math/maxima/pkg-plist
Comment 6 Steve Wills freebsd_committer 2017-08-17 18:47:52 UTC
Committed, thanks!